Share via


Vpn Gateways - Start Packet Capture

Starts packet capture on vpn gateway in the specified resource group.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/vpnGateways/{gatewayName}/startpacketcapture?api-version=2025-05-01

URI Parameters

Name In Required Type Description
gatewayName
path True

string

The name of the gateway.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
filterData

string

Start Packet capture parameters on vpn gateway.

Responses

Name Type Description
200 OK

string

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Start packet capture on vpn gateway with filter
Start packet capture on vpn gateway without filter

Start packet capture on vpn gateway with filter

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/vpnGateways/vpngw/startpacketcapture?api-version=2025-05-01

{
  "filterData": "{'TracingFlags': 11,'MaxPacketBufferSize': 120,'MaxFileSize': 200,'Filters': [{'SourceSubnets': ['20.1.1.0/24'],'DestinationSubnets': ['10.1.1.0/24'],'SourcePort': [500],'DestinationPort': [4500],'Protocol': 6,'TcpFlags': 16,'CaptureSingleDirectionTrafficOnly': true}]}"
}

Sample response

"\"{\"Status\":\"Successful\",\"Data\":null}\""
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}

Start packet capture on vpn gateway without filter

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/vpnGateways/vpngw/startpacketcapture?api-version=2025-05-01

Sample response

"\"{\"Status\":\"Successful\",\"Data\":null}\""
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

VpnGatewayPacketCaptureStartParameters

Start packet capture parameters.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

VpnGatewayPacketCaptureStartParameters

Start packet capture parameters.

Name Type Description
filterData

string

Start Packet capture parameters on vpn gateway.